Subject: Re: [bug#28000] [PATCH] gnu: octave: Build with texinfo.

From: Arun Isaac <[email-masked]>
Date: Tue, 26 Sep 2017 18:53:06 +0530

Indeed, I was waiting for a response to this patch, and am seeing your
reply only now, after almost 2 months! It looks like I'm having trouble
with my DNS configuration. :-(

>> texinfo is required for the built-in documentation.
>>
>> * gnu/packages/maths.scm (octave)[inputs]: Add texinfo.
>> [native-inputs]: Remove texinfo.
>
>If I read this right, Octave references texinfo at runtime, so it's
>moved to inputs for correctness? The commit message is a bit confusing,
>since it already has texinfo available :-)

Currently, there is a comment above the octave package definition saying
that users should install texinfo manually in their profile. My patch
allows the user to not have to do that. This is the meaning I was trying
to convey with the commit message. What other commit message would you
suggest?